Main Page | Modules | Class List | File List | Class Members | File Members

# Game client functionalities

Game client functionalities. More...

## Functions
GSCDKeyRequest | GSCDKey_RequestActivation (GShandle pGSCDKeyHandle, PVALIDATION_SERVER_INFO psValidationServerInfo, PACTIVATION_INFO psActivationInfo, GSushort usTimeout=6)
| Request cd key activation id for futur authorization request (called once).
GSCDKeyRequest | GSCDKey_RequestAuthorization (GShandle pGSCDKeyHandle, PVALIDATION_SERVER_INFO psValidationServerInfo, PVALIDATION_INFO psValidationInfo, GSushort usTimeout=3)
| Send a authorization request to the validation server.

## Detailed Description

These functions are used by the game client to request a activation and validation information from the validation server.

## Function Documentation

GSCDKeyRequest GSCDKey_RequestActivation | ( | GShandle | pGSCDKeyHandle,
|  | PVALIDATION_SERVER_INFO | psValidationServerInfo,
|  | PACTIVATION_INFO | psActivationInfo,
|  | GSushort | usTimeout = 6
| ) |

  | Description: This function is used to get the activation id that will be use in futur client authentication. This function should be called the first time a cd key authentication is needed (i.g. the first time a user plays online after the game installation). The activation id should be safely kept so that each subsequent authorization request use that activation id. After calling this request, the result will be returned via the CBCDKey_RcvActivationID callback. 0 means a unlimited timeout value. Returns: The id of the request Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  psValidationServerInfo | Validation server information
  psActivationInfo | Validation information
  usTimeout | Number of second before the request is considered timed out default for this request is 6. 0 means a unlimited timeout value.

GSCDKeyRequest GSCDKey_RequestAuthorization | ( | GShandle | pGSCDKeyHandle,
|  | PVALIDATION_SERVER_INFO | psValidationServerInfo,
|  | PVALIDATION_INFO | psValidationInfo,
|  | GSushort | usTimeout = 3
| ) |

  | Description: This function is used to validate a cd key before joining a game server. The validation information structure contains the activation id and the cd key. After having receive the result from this request via the CBCDKey_RcvAuthorizationID callback, the user can join a game server wich will ask the validation server for the player status (authenticated or not) Returns: The id of the request Parameters:
  pGSCDKeyHandle | Handle on the created cd key module
  psValidationServerInfo | Validation server information
  psValidationInfo | Validation information
  usTimeout | Number of second before the request is considered timed out default for this request is 3. 0 means a unlimited timeout value.

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team